Fetch the cached folder tree for a parsed document
curl --request GET \
--url https://sandbox.rcintell.com/v1/policy/structure/{document_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.rcintell.com/v1/policy/structure/{document_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.rcintell.com/v1/policy/structure/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "<string>",
"user_uid": "<string>",
"built_with": "deterministic",
"folders": [
{
"key": "<string>",
"label": "<string>",
"files": [
{
"id": "<string>",
"title": "<string>",
"citations": [
{
"chunk_id": "<string>",
"page_end": 123,
"page_start": 123
}
],
"cross_references": [
"<string>"
],
"entities": {
"claim_formats": [
"<string>"
],
"codes": [
"<string>"
],
"modifiers": [
"<string>"
],
"payment_systems": [
"<string>"
],
"revenue_codes": [
"<string>"
],
"tob": [
"<string>"
]
},
"excerpt": "",
"facts": [
{
"statement": "<string>",
"applies_to": "<string>",
"effective_date": "<string>",
"value": "<string>"
}
],
"native_section": "<string>",
"summary": ""
}
],
"summary": ""
}
],
"metadata": {
"chapter": "<string>",
"effective_date": "<string>",
"line_of_business": "<string>",
"manual": "<string>",
"provider_types": [
"<string>"
],
"publisher": "<string>",
"revision": "<string>",
"source_pages": 0,
"source_pdf": "",
"title": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}policy
Fetch the cached folder tree for a parsed document
GET
/
v1
/
policy
/
structure
/
{document_id}
Fetch the cached folder tree for a parsed document
Authorizations
Headers
Admin bootstrap secret required for privileged bootstrap/provisioning operations.
Path Parameters
Query Parameters
Owner uid the document was parsed under